require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_ASM_X86_64_VSYSCALL_H_)) {
    eval 'sub _ASM_X86_64_VSYSCALL_H_ () {1;}' unless defined(&_ASM_X86_64_VSYSCALL_H_);
    require 'linux/time.ph';
    eval("sub __NR_vgettimeofday () { 0; }") unless defined(&__NR_vgettimeofday);
    eval("sub __NR_vtime () { 1; }") unless defined(&__NR_vtime);
    eval 'sub VSYSCALL_START () {(-10 << 20);}' unless defined(&VSYSCALL_START);
    eval 'sub VSYSCALL_SIZE () {1024;}' unless defined(&VSYSCALL_SIZE);
    eval 'sub VSYSCALL_END () {(-2 << 20);}' unless defined(&VSYSCALL_END);
    eval 'sub VSYSCALL_ADDR {
        local($vsyscall_nr) = @_;
	    eval q(( &VSYSCALL_START+ &VSYSCALL_SIZE*($vsyscall_nr)));
    }' unless defined(&VSYSCALL_ADDR);
    if(defined(&__KERNEL__)) {
	eval 'sub __section_vxtime () { &__attribute__ (( &unused,  &__section__ (".vxtime"),  &aligned(16)));}' unless defined(&__section_vxtime);
	eval 'sub __section_wall_jiffies () { &__attribute__ (( &unused,  &__section__ (".wall_jiffies"),  &aligned(16)));}' unless defined(&__section_wall_jiffies);
	eval 'sub __section_jiffies () { &__attribute__ (( &unused,  &__section__ (".jiffies"),  &aligned(16)));}' unless defined(&__section_jiffies);
	eval 'sub __section_sys_tz () { &__attribute__ (( &unused,  &__section__ (".sys_tz"),  &aligned(16)));}' unless defined(&__section_sys_tz);
	eval 'sub __section_xtime () { &__attribute__ (( &unused,  &__section__ (".xtime"),  &aligned(16)));}' unless defined(&__section_xtime);
	eval 'sub __section_vxtime_sequence () { &__attribute__ (( &unused,  &__section__ (".vxtime_sequence"),  &aligned(16)));}' unless defined(&__section_vxtime_sequence);
	eval 'sub VXTIME_TSC () {1;}' unless defined(&VXTIME_TSC);
	eval 'sub VXTIME_HPET () {2;}' unless defined(&VXTIME_HPET);
	eval 'sub hpet_readl {
	    local($a) = @_;
    	    eval q( &readl( &fix_to_virt( &FIX_HPET_BASE) + $a));
	}' unless defined(&hpet_readl);
	eval 'sub hpet_writel {
	    local($d,$a) = @_;
    	    eval q( &writel($d,  &fix_to_virt( &FIX_HPET_BASE) + $a));
	}' unless defined(&hpet_writel);
	eval 'sub vxtime_lock () {
	    eval q( &do {  $vxtime_sequence[0]++;  &wmb(); }  &while(0));
	}' unless defined(&vxtime_lock);
	eval 'sub vxtime_unlock () {
	    eval q( &do {  &wmb();  $vxtime_sequence[1]++; }  &while (0));
	}' unless defined(&vxtime_unlock);
    }
}
1;
