require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
unless(defined(&CONFIG_X86_64)) {
    sub CONFIG_X86_64 () {	1;}
}
unless(defined(&CONFIG_X86)) {
    sub CONFIG_X86 () {	1;}
}
undef(&CONFIG_ISA) if defined(&CONFIG_ISA);
undef(&CONFIG_SBUS) if defined(&CONFIG_SBUS);
unless(defined(&CONFIG_UID16)) {
    sub CONFIG_UID16 () {	1;}
}
unless(defined(&CONFIG_RWSEM_GENERIC_SPINLOCK)) {
    sub CONFIG_RWSEM_GENERIC_SPINLOCK () {	1;}
}
undef(&CONFIG_RWSEM_XCHGADD_ALGORITHM) if defined(&CONFIG_RWSEM_XCHGADD_ALGORITHM);
unless(defined(&CONFIG_X86_CMPXCHG)) {
    sub CONFIG_X86_CMPXCHG () {	1;}
}
unless(defined(&CONFIG_EARLY_PRINTK)) {
    sub CONFIG_EARLY_PRINTK () {	1;}
}
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
unless(defined(&CONFIG_MODULES)) {
    sub CONFIG_MODULES () {	1;}
}
undef(&CONFIG_MODVERSIONS) if defined(&CONFIG_MODVERSIONS);
undef(&CONFIG_KMOD) if defined(&CONFIG_KMOD);
unless(defined(&CONFIG_MK8)) {
    sub CONFIG_MK8 () {	1;}
}
undef(&CONFIG_GENERIC_CPU) if defined(&CONFIG_GENERIC_CPU);
unless(defined(&CONFIG_X86_L1_CACHE_BYTES)) {
    sub CONFIG_X86_L1_CACHE_BYTES () {	(64);}
}
unless(defined(&CONFIG_X86_L1_CACHE_SHIFT)) {
    sub CONFIG_X86_L1_CACHE_SHIFT () {	(6);}
}
unless(defined(&CONFIG_X86_TSC)) {
    sub CONFIG_X86_TSC () {	1;}
}
unless(defined(&CONFIG_X86_GOOD_APIC)) {
    sub CONFIG_X86_GOOD_APIC () {	1;}
}
unless(defined(&CONFIG_X86_MSR)) {
    sub CONFIG_X86_MSR () {	1;}
}
unless(defined(&CONFIG_X86_CPUID)) {
    sub CONFIG_X86_CPUID () {	1;}
}
undef(&CONFIG_MATH_EMULATION) if defined(&CONFIG_MATH_EMULATION);
undef(&CONFIG_MCA) if defined(&CONFIG_MCA);
undef(&CONFIG_EISA) if defined(&CONFIG_EISA);
unless(defined(&CONFIG_X86_IO_APIC)) {
    sub CONFIG_X86_IO_APIC () {	1;}
}
unless(defined(&CONFIG_X86_LOCAL_APIC)) {
    sub CONFIG_X86_LOCAL_APIC () {	1;}
}
unless(defined(&CONFIG_MTRR)) {
    sub CONFIG_MTRR () {	1;}
}
undef(&CONFIG_SMP) if defined(&CONFIG_SMP);
unless(defined(&CONFIG_HPET_TIMER)) {
    sub CONFIG_HPET_TIMER () {	1;}
}
unless(defined(&CONFIG_GART_IOMMU)) {
    sub CONFIG_GART_IOMMU () {	1;}
}
unless(defined(&CONFIG_X86_UP_IOAPIC)) {
    sub CONFIG_X86_UP_IOAPIC () {	1;}
}
unless(defined(&CONFIG_MCE)) {
    sub CONFIG_MCE () {	1;}
}
undef(&CONFIG_K8_NUMA) if defined(&CONFIG_K8_NUMA);
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
unless(defined(&CONFIG_PCI)) {
    sub CONFIG_PCI () {	1;}
}
unless(defined(&CONFIG_PCI_DIRECT)) {
    sub CONFIG_PCI_DIRECT () {	1;}
}
undef(&CONFIG_PCI_NAMES) if defined(&CONFIG_PCI_NAMES);
undef(&CONFIG_HOTPLUG) if defined(&CONFIG_HOTPLUG);
undef(&CONFIG_PCMCIA) if defined(&CONFIG_PCMCIA);
undef(&CONFIG_HOTPLUG_PCI) if defined(&CONFIG_HOTPLUG_PCI);
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
undef(&CONFIG_BSD_PROCESS_ACCT) if defined(&CONFIG_BSD_PROCESS_ACCT);
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
unless(defined(&CONFIG_KCORE_ELF)) {
    sub CONFIG_KCORE_ELF () {	1;}
}
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
undef(&CONFIG_BINFMT_MISC) if defined(&CONFIG_BINFMT_MISC);
unless(defined(&CONFIG_PM)) {
    sub CONFIG_PM () {	1;}
}
unless(defined(&CONFIG_IA32_EMULATION)) {
    sub CONFIG_IA32_EMULATION () {	1;}
}
unless(defined(&CONFIG_ACPI)) {
    sub CONFIG_ACPI () {	1;}
}
unless(defined(&CONFIG_ACPI_DEBUG)) {
    sub CONFIG_ACPI_DEBUG () {	1;}
}
unless(defined(&CONFIG_ACPI_BUSMGR)) {
    sub CONFIG_ACPI_BUSMGR () {	1;}
}
unless(defined(&CONFIG_ACPI_SYS)) {
    sub CONFIG_ACPI_SYS () {	1;}
}
unless(defined(&CONFIG_ACPI_CPU)) {
    sub CONFIG_ACPI_CPU () {	1;}
}
unless(defined(&CONFIG_ACPI_BUTTON)) {
    sub CONFIG_ACPI_BUTTON () {	1;}
}
unless(defined(&CONFIG_ACPI_AC)) {
    sub CONFIG_ACPI_AC () {	1;}
}
unless(defined(&CONFIG_ACPI_EC)) {
    sub CONFIG_ACPI_EC () {	1;}
}
unless(defined(&CONFIG_ACPI_CMBATT)) {
    sub CONFIG_ACPI_CMBATT () {	1;}
}
unless(defined(&CONFIG_ACPI_THERMAL)) {
    sub CONFIG_ACPI_THERMAL () {	1;}
}
undef(&CONFIG_MTD) if defined(&CONFIG_MTD);
undef(&CONFIG_PARPORT) if defined(&CONFIG_PARPORT);
unless(defined(&CONFIG_BLK_DEV_FD)) {
    sub CONFIG_BLK_DEV_FD () {	1;}
}
undef(&CONFIG_BLK_DEV_XD) if defined(&CONFIG_BLK_DEV_XD);
undef(&CONFIG_PARIDE) if defined(&CONFIG_PARIDE);
undef(&CONFIG_BLK_CPQ_DA) if defined(&CONFIG_BLK_CPQ_DA);
undef(&CONFIG_BLK_CPQ_CISS_DA) if defined(&CONFIG_BLK_CPQ_CISS_DA);
undef(&CONFIG_CISS_SCSI_TAPE) if defined(&CONFIG_CISS_SCSI_TAPE);
undef(&CONFIG_BLK_DEV_DAC960) if defined(&CONFIG_BLK_DEV_DAC960);
undef(&CONFIG_BLK_DEV_UMEM) if defined(&CONFIG_BLK_DEV_UMEM);
unless(defined(&CONFIG_BLK_DEV_LOOP)) {
    sub CONFIG_BLK_DEV_LOOP () {	1;}
}
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	(4096);}
}
unless(defined(&CONFIG_BLK_DEV_INITRD)) {
    sub CONFIG_BLK_DEV_INITRD () {	1;}
}
undef(&CONFIG_BLK_STATS) if defined(&CONFIG_BLK_STATS);
undef(&CONFIG_MD) if defined(&CONFIG_MD);
undef(&CONFIG_BLK_DEV_MD) if defined(&CONFIG_BLK_DEV_MD);
undef(&CONFIG_MD_LINEAR) if defined(&CONFIG_MD_LINEAR);
undef(&CONFIG_MD_RAID0) if defined(&CONFIG_MD_RAID0);
undef(&CONFIG_MD_RAID1) if defined(&CONFIG_MD_RAID1);
undef(&CONFIG_MD_RAID5) if defined(&CONFIG_MD_RAID5);
undef(&CONFIG_MD_MULTIPATH) if defined(&CONFIG_MD_MULTIPATH);
undef(&CONFIG_BLK_DEV_LVM) if defined(&CONFIG_BLK_DEV_LVM);
unless(defined(&CONFIG_PACKET)) {
    sub CONFIG_PACKET () {	1;}
}
undef(&CONFIG_PACKET_MMAP) if defined(&CONFIG_PACKET_MMAP);
unless(defined(&CONFIG_NETLINK_DEV)) {
    sub CONFIG_NETLINK_DEV () {	1;}
}
undef(&CONFIG_NETFILTER) if defined(&CONFIG_NETFILTER);
undef(&CONFIG_FILTER) if defined(&CONFIG_FILTER);
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
undef(&CONFIG_IP_MULTICAST) if defined(&CONFIG_IP_MULTICAST);
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
undef(&CONFIG_IP_PNP) if defined(&CONFIG_IP_PNP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
undef(&CONFIG_INET_ECN) if defined(&CONFIG_INET_ECN);
undef(&CONFIG_SYN_COOKIES) if defined(&CONFIG_SYN_COOKIES);
undef(&CONFIG_IPV6) if defined(&CONFIG_IPV6);
undef(&CONFIG_KHTTPD) if defined(&CONFIG_KHTTPD);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
undef(&CONFIG_DEV_APPLETALK) if defined(&CONFIG_DEV_APPLETALK);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_LLC) if defined(&CONFIG_LLC);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_FASTROUTE) if defined(&CONFIG_NET_FASTROUTE);
undef(&CONFIG_NET_HW_FLOWCONTROL) if defined(&CONFIG_NET_HW_FLOWCONTROL);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
undef(&CONFIG_PHONE) if defined(&CONFIG_PHONE);
undef(&CONFIG_PHONE_IXJ) if defined(&CONFIG_PHONE_IXJ);
undef(&CONFIG_PHONE_IXJ_PCMCIA) if defined(&CONFIG_PHONE_IXJ_PCMCIA);
unless(defined(&CONFIG_IDE)) {
    sub CONFIG_IDE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE)) {
    sub CONFIG_BLK_DEV_IDE () {	1;}
}
undef(&CONFIG_BLK_DEV_HD_IDE) if defined(&CONFIG_BLK_DEV_HD_IDE);
undef(&CONFIG_BLK_DEV_HD) if defined(&CONFIG_BLK_DEV_HD);
unless(defined(&CONFIG_BLK_DEV_IDEDISK)) {
    sub CONFIG_BLK_DEV_IDEDISK () {	1;}
}
undef(&CONFIG_IDEDISK_MULTI_MODE) if defined(&CONFIG_IDEDISK_MULTI_MODE);
undef(&CONFIG_IDEDISK_STROKE) if defined(&CONFIG_IDEDISK_STROKE);
undef(&CONFIG_BLK_DEV_IDECS) if defined(&CONFIG_BLK_DEV_IDECS);
unless(defined(&CONFIG_BLK_DEV_IDECD)) {
    sub CONFIG_BLK_DEV_IDECD () {	1;}
}
undef(&CONFIG_BLK_DEV_IDETAPE) if defined(&CONFIG_BLK_DEV_IDETAPE);
undef(&CONFIG_BLK_DEV_IDEFLOPPY) if defined(&CONFIG_BLK_DEV_IDEFLOPPY);
undef(&CONFIG_BLK_DEV_IDESCSI) if defined(&CONFIG_BLK_DEV_IDESCSI);
undef(&CONFIG_IDE_TASK_IOCTL) if defined(&CONFIG_IDE_TASK_IOCTL);
undef(&CONFIG_BLK_DEV_CMD640) if defined(&CONFIG_BLK_DEV_CMD640);
undef(&CONFIG_BLK_DEV_CMD640_ENHANCED) if defined(&CONFIG_BLK_DEV_CMD640_ENHANCED);
undef(&CONFIG_BLK_DEV_ISAPNP) if defined(&CONFIG_BLK_DEV_ISAPNP);
unless(defined(&CONFIG_BLK_DEV_IDEPCI)) {
    sub CONFIG_BLK_DEV_IDEPCI () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_GENERIC)) {
    sub CONFIG_BLK_DEV_GENERIC () {	1;}
}
undef(&CONFIG_IDEPCI_SHARE_IRQ) if defined(&CONFIG_IDEPCI_SHARE_IRQ);
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PCI)) {
    sub CONFIG_BLK_DEV_IDEDMA_PCI () {	1;}
}
undef(&CONFIG_BLK_DEV_OFFBOARD) if defined(&CONFIG_BLK_DEV_OFFBOARD);
undef(&CONFIG_BLK_DEV_IDEDMA_FORCED) if defined(&CONFIG_BLK_DEV_IDEDMA_FORCED);
unless(defined(&CONFIG_IDEDMA_PCI_AUTO)) {
    sub CONFIG_IDEDMA_PCI_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_ONLYDISK) if defined(&CONFIG_IDEDMA_ONLYDISK);
unless(defined(&CONFIG_BLK_DEV_IDEDMA)) {
    sub CONFIG_BLK_DEV_IDEDMA () {	1;}
}
undef(&CONFIG_IDEDMA_PCI_WIP) if defined(&CONFIG_IDEDMA_PCI_WIP);
undef(&CONFIG_BLK_DEV_ADMA100) if defined(&CONFIG_BLK_DEV_ADMA100);
undef(&CONFIG_BLK_DEV_AEC62XX) if defined(&CONFIG_BLK_DEV_AEC62XX);
undef(&CONFIG_BLK_DEV_ALI15X3) if defined(&CONFIG_BLK_DEV_ALI15X3);
undef(&CONFIG_WDC_ALI15X3) if defined(&CONFIG_WDC_ALI15X3);
unless(defined(&CONFIG_BLK_DEV_AMD74XX)) {
    sub CONFIG_BLK_DEV_AMD74XX () {	1;}
}
undef(&CONFIG_AMD74XX_OVERRIDE) if defined(&CONFIG_AMD74XX_OVERRIDE);
undef(&CONFIG_BLK_DEV_CMD64X) if defined(&CONFIG_BLK_DEV_CMD64X);
undef(&CONFIG_BLK_DEV_TRIFLEX) if defined(&CONFIG_BLK_DEV_TRIFLEX);
undef(&CONFIG_BLK_DEV_CY82C693) if defined(&CONFIG_BLK_DEV_CY82C693);
undef(&CONFIG_BLK_DEV_CS5530) if defined(&CONFIG_BLK_DEV_CS5530);
undef(&CONFIG_BLK_DEV_HPT34X) if defined(&CONFIG_BLK_DEV_HPT34X);
undef(&CONFIG_HPT34X_AUTODMA) if defined(&CONFIG_HPT34X_AUTODMA);
undef(&CONFIG_BLK_DEV_HPT366) if defined(&CONFIG_BLK_DEV_HPT366);
undef(&CONFIG_BLK_DEV_PIIX) if defined(&CONFIG_BLK_DEV_PIIX);
undef(&CONFIG_BLK_DEV_NS87415) if defined(&CONFIG_BLK_DEV_NS87415);
undef(&CONFIG_BLK_DEV_OPTI621) if defined(&CONFIG_BLK_DEV_OPTI621);
undef(&CONFIG_BLK_DEV_PDC202XX_OLD) if defined(&CONFIG_BLK_DEV_PDC202XX_OLD);
undef(&CONFIG_PDC202XX_BURST) if defined(&CONFIG_PDC202XX_BURST);
undef(&CONFIG_BLK_DEV_PDC202XX_NEW) if defined(&CONFIG_BLK_DEV_PDC202XX_NEW);
undef(&CONFIG_BLK_DEV_RZ1000) if defined(&CONFIG_BLK_DEV_RZ1000);
undef(&CONFIG_BLK_DEV_SC1200) if defined(&CONFIG_BLK_DEV_SC1200);
undef(&CONFIG_BLK_DEV_SVWKS) if defined(&CONFIG_BLK_DEV_SVWKS);
undef(&CONFIG_BLK_DEV_SIIMAGE) if defined(&CONFIG_BLK_DEV_SIIMAGE);
undef(&CONFIG_BLK_DEV_SIS5513) if defined(&CONFIG_BLK_DEV_SIS5513);
undef(&CONFIG_BLK_DEV_SLC90E66) if defined(&CONFIG_BLK_DEV_SLC90E66);
undef(&CONFIG_BLK_DEV_TRM290) if defined(&CONFIG_BLK_DEV_TRM290);
undef(&CONFIG_BLK_DEV_VIA82CXXX) if defined(&CONFIG_BLK_DEV_VIA82CXXX);
undef(&CONFIG_IDE_CHIPSETS) if defined(&CONFIG_IDE_CHIPSETS);
unless(defined(&CONFIG_IDEDMA_AUTO)) {
    sub CONFIG_IDEDMA_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_IVB) if defined(&CONFIG_IDEDMA_IVB);
undef(&CONFIG_DMA_NONPCI) if defined(&CONFIG_DMA_NONPCI);
unless(defined(&CONFIG_BLK_DEV_IDE_MODES)) {
    sub CONFIG_BLK_DEV_IDE_MODES () {	1;}
}
undef(&CONFIG_BLK_DEV_ATARAID) if defined(&CONFIG_BLK_DEV_ATARAID);
undef(&CONFIG_BLK_DEV_ATARAID_PDC) if defined(&CONFIG_BLK_DEV_ATARAID_PDC);
undef(&CONFIG_BLK_DEV_ATARAID_HPT) if defined(&CONFIG_BLK_DEV_ATARAID_HPT);
undef(&CONFIG_BLK_DEV_ATARAID_SII) if defined(&CONFIG_BLK_DEV_ATARAID_SII);
unless(defined(&CONFIG_SCSI)) {
    sub CONFIG_SCSI () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SD)) {
    sub CONFIG_BLK_DEV_SD () {	1;}
}
unless(defined(&CONFIG_SD_EXTRA_DEVS)) {
    sub CONFIG_SD_EXTRA_DEVS () {	(40);}
}
undef(&CONFIG_CHR_DEV_ST) if defined(&CONFIG_CHR_DEV_ST);
undef(&CONFIG_CHR_DEV_OSST) if defined(&CONFIG_CHR_DEV_OSST);
undef(&CONFIG_BLK_DEV_SR) if defined(&CONFIG_BLK_DEV_SR);
unless(defined(&CONFIG_CHR_DEV_SG)) {
    sub CONFIG_CHR_DEV_SG () {	1;}
}
undef(&CONFIG_SCSI_DEBUG_QUEUES) if defined(&CONFIG_SCSI_DEBUG_QUEUES);
undef(&CONFIG_SCSI_MULTI_LUN) if defined(&CONFIG_SCSI_MULTI_LUN);
unless(defined(&CONFIG_SCSI_CONSTANTS)) {
    sub CONFIG_SCSI_CONSTANTS () {	1;}
}
undef(&CONFIG_SCSI_LOGGING) if defined(&CONFIG_SCSI_LOGGING);
undef(&CONFIG_BLK_DEV_3W_XXXX_RAID) if defined(&CONFIG_BLK_DEV_3W_XXXX_RAID);
undef(&CONFIG_SCSI_7000FASST) if defined(&CONFIG_SCSI_7000FASST);
undef(&CONFIG_SCSI_ACARD) if defined(&CONFIG_SCSI_ACARD);
undef(&CONFIG_SCSI_AHA152X) if defined(&CONFIG_SCSI_AHA152X);
undef(&CONFIG_SCSI_AHA1542) if defined(&CONFIG_SCSI_AHA1542);
undef(&CONFIG_SCSI_AHA1740) if defined(&CONFIG_SCSI_AHA1740);
undef(&CONFIG_SCSI_AACRAID) if defined(&CONFIG_SCSI_AACRAID);
unless(defined(&CONFIG_SCSI_AIC7XXX)) {
    sub CONFIG_SCSI_AIC7XXX () {	1;}
}
unless(defined(&CONFIG_AIC7XXX_CMDS_PER_DEVICE)) {
    sub CONFIG_AIC7XXX_CMDS_PER_DEVICE () {	(253);}
}
unless(defined(&CONFIG_AIC7XXX_RESET_DELAY_MS)) {
    sub CONFIG_AIC7XXX_RESET_DELAY_MS () {	(15000);}
}
undef(&CONFIG_AIC7XXX_PROBE_EISA_VL) if defined(&CONFIG_AIC7XXX_PROBE_EISA_VL);
undef(&CONFIG_AIC7XXX_BUILD_FIRMWARE) if defined(&CONFIG_AIC7XXX_BUILD_FIRMWARE);
undef(&CONFIG_SCSI_AIC79XX) if defined(&CONFIG_SCSI_AIC79XX);
undef(&CONFIG_SCSI_DPT_I2O) if defined(&CONFIG_SCSI_DPT_I2O);
undef(&CONFIG_SCSI_ADVANSYS) if defined(&CONFIG_SCSI_ADVANSYS);
undef(&CONFIG_SCSI_IN2000) if defined(&CONFIG_SCSI_IN2000);
undef(&CONFIG_SCSI_AM53C974) if defined(&CONFIG_SCSI_AM53C974);
undef(&CONFIG_SCSI_MEGARAID) if defined(&CONFIG_SCSI_MEGARAID);
undef(&CONFIG_SCSI_BUSLOGIC) if defined(&CONFIG_SCSI_BUSLOGIC);
undef(&CONFIG_SCSI_CPQFCTS) if defined(&CONFIG_SCSI_CPQFCTS);
undef(&CONFIG_SCSI_DMX3191D) if defined(&CONFIG_SCSI_DMX3191D);
undef(&CONFIG_SCSI_DTC3280) if defined(&CONFIG_SCSI_DTC3280);
undef(&CONFIG_SCSI_EATA) if defined(&CONFIG_SCSI_EATA);
undef(&CONFIG_SCSI_EATA_DMA) if defined(&CONFIG_SCSI_EATA_DMA);
undef(&CONFIG_SCSI_EATA_PIO) if defined(&CONFIG_SCSI_EATA_PIO);
undef(&CONFIG_SCSI_FUTURE_DOMAIN) if defined(&CONFIG_SCSI_FUTURE_DOMAIN);
undef(&CONFIG_SCSI_GDTH) if defined(&CONFIG_SCSI_GDTH);
undef(&CONFIG_SCSI_GENERIC_NCR5380) if defined(&CONFIG_SCSI_GENERIC_NCR5380);
undef(&CONFIG_SCSI_IPS) if defined(&CONFIG_SCSI_IPS);
undef(&CONFIG_SCSI_INITIO) if defined(&CONFIG_SCSI_INITIO);
undef(&CONFIG_SCSI_INIA100) if defined(&CONFIG_SCSI_INIA100);
undef(&CONFIG_SCSI_NCR53C406A) if defined(&CONFIG_SCSI_NCR53C406A);
undef(&CONFIG_SCSI_NCR53C7xx) if defined(&CONFIG_SCSI_NCR53C7xx);
undef(&CONFIG_SCSI_SYM53C8XX_2) if defined(&CONFIG_SCSI_SYM53C8XX_2);
undef(&CONFIG_SCSI_NCR53C8XX) if defined(&CONFIG_SCSI_NCR53C8XX);
undef(&CONFIG_SCSI_SYM53C8XX) if defined(&CONFIG_SCSI_SYM53C8XX);
undef(&CONFIG_SCSI_PAS16) if defined(&CONFIG_SCSI_PAS16);
undef(&CONFIG_SCSI_PCI2000) if defined(&CONFIG_SCSI_PCI2000);
undef(&CONFIG_SCSI_PCI2220I) if defined(&CONFIG_SCSI_PCI2220I);
undef(&CONFIG_SCSI_PSI240I) if defined(&CONFIG_SCSI_PSI240I);
undef(&CONFIG_SCSI_QLOGIC_FAS) if defined(&CONFIG_SCSI_QLOGIC_FAS);
undef(&CONFIG_SCSI_QLOGIC_ISP) if defined(&CONFIG_SCSI_QLOGIC_ISP);
undef(&CONFIG_SCSI_QLOGIC_FC) if defined(&CONFIG_SCSI_QLOGIC_FC);
undef(&CONFIG_SCSI_QLOGIC_1280) if defined(&CONFIG_SCSI_QLOGIC_1280);
undef(&CONFIG_SCSI_SEAGATE) if defined(&CONFIG_SCSI_SEAGATE);
undef(&CONFIG_SCSI_SIM710) if defined(&CONFIG_SCSI_SIM710);
undef(&CONFIG_SCSI_SYM53C416) if defined(&CONFIG_SCSI_SYM53C416);
undef(&CONFIG_SCSI_DC390T) if defined(&CONFIG_SCSI_DC390T);
undef(&CONFIG_SCSI_T128) if defined(&CONFIG_SCSI_T128);
undef(&CONFIG_SCSI_U14_34F) if defined(&CONFIG_SCSI_U14_34F);
undef(&CONFIG_SCSI_ULTRASTOR) if defined(&CONFIG_SCSI_ULTRASTOR);
undef(&CONFIG_SCSI_NSP32) if defined(&CONFIG_SCSI_NSP32);
undef(&CONFIG_SCSI_DEBUG) if defined(&CONFIG_SCSI_DEBUG);
undef(&CONFIG_FUSION) if defined(&CONFIG_FUSION);
undef(&CONFIG_FUSION_BOOT) if defined(&CONFIG_FUSION_BOOT);
undef(&CONFIG_FUSION_ISENSE) if defined(&CONFIG_FUSION_ISENSE);
undef(&CONFIG_FUSION_CTL) if defined(&CONFIG_FUSION_CTL);
undef(&CONFIG_FUSION_LAN) if defined(&CONFIG_FUSION_LAN);
undef(&CONFIG_IEEE1394) if defined(&CONFIG_IEEE1394);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
undef(&CONFIG_ARCNET) if defined(&CONFIG_ARCNET);
undef(&CONFIG_DUMMY) if defined(&CONFIG_DUMMY);
undef(&CONFIG_BONDING) if defined(&CONFIG_BONDING);
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
undef(&CONFIG_ETHERTAP) if defined(&CONFIG_ETHERTAP);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
undef(&CONFIG_SUNLANCE) if defined(&CONFIG_SUNLANCE);
undef(&CONFIG_HAPPYMEAL) if defined(&CONFIG_HAPPYMEAL);
undef(&CONFIG_SUNBMAC) if defined(&CONFIG_SUNBMAC);
undef(&CONFIG_SUNQE) if defined(&CONFIG_SUNQE);
undef(&CONFIG_SUNGEM) if defined(&CONFIG_SUNGEM);
unless(defined(&CONFIG_NET_VENDOR_3COM)) {
    sub CONFIG_NET_VENDOR_3COM () {	1;}
}
undef(&CONFIG_EL1) if defined(&CONFIG_EL1);
undef(&CONFIG_EL2) if defined(&CONFIG_EL2);
undef(&CONFIG_ELPLUS) if defined(&CONFIG_ELPLUS);
undef(&CONFIG_EL16) if defined(&CONFIG_EL16);
undef(&CONFIG_ELMC) if defined(&CONFIG_ELMC);
undef(&CONFIG_ELMC_II) if defined(&CONFIG_ELMC_II);
unless(defined(&CONFIG_VORTEX)) {
    sub CONFIG_VORTEX () {	1;}
}
undef(&CONFIG_TYPHOON) if defined(&CONFIG_TYPHOON);
undef(&CONFIG_LANCE) if defined(&CONFIG_LANCE);
undef(&CONFIG_NET_VENDOR_SMC) if defined(&CONFIG_NET_VENDOR_SMC);
undef(&CONFIG_NET_VENDOR_RACAL) if defined(&CONFIG_NET_VENDOR_RACAL);
undef(&CONFIG_HP100) if defined(&CONFIG_HP100);
undef(&CONFIG_NET_ISA) if defined(&CONFIG_NET_ISA);
undef(&CONFIG_NET_PCI) if defined(&CONFIG_NET_PCI);
undef(&CONFIG_NET_POCKET) if defined(&CONFIG_NET_POCKET);
undef(&CONFIG_ACENIC) if defined(&CONFIG_ACENIC);
undef(&CONFIG_DL2K) if defined(&CONFIG_DL2K);
undef(&CONFIG_E1000) if defined(&CONFIG_E1000);
undef(&CONFIG_MYRI_SBUS) if defined(&CONFIG_MYRI_SBUS);
undef(&CONFIG_NS83820) if defined(&CONFIG_NS83820);
undef(&CONFIG_HAMACHI) if defined(&CONFIG_HAMACHI);
undef(&CONFIG_YELLOWFIN) if defined(&CONFIG_YELLOWFIN);
undef(&CONFIG_R8169) if defined(&CONFIG_R8169);
undef(&CONFIG_SK98LIN) if defined(&CONFIG_SK98LIN);
unless(defined(&CONFIG_TIGON3)) {
    sub CONFIG_TIGON3 () {	1;}
}
undef(&CONFIG_FDDI) if defined(&CONFIG_FDDI);
undef(&CONFIG_HIPPI) if defined(&CONFIG_HIPPI);
undef(&CONFIG_PLIP) if defined(&CONFIG_PLIP);
undef(&CONFIG_PPP) if defined(&CONFIG_PPP);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
undef(&CONFIG_NET_RADIO) if defined(&CONFIG_NET_RADIO);
undef(&CONFIG_TR) if defined(&CONFIG_TR);
undef(&CONFIG_NET_FC) if defined(&CONFIG_NET_FC);
undef(&CONFIG_RCPCI) if defined(&CONFIG_RCPCI);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
undef(&CONFIG_IRDA) if defined(&CONFIG_IRDA);
undef(&CONFIG_ISDN) if defined(&CONFIG_ISDN);
undef(&CONFIG_INPUT) if defined(&CONFIG_INPUT);
undef(&CONFIG_INPUT_KEYBDEV) if defined(&CONFIG_INPUT_KEYBDEV);
undef(&CONFIG_INPUT_MOUSEDEV) if defined(&CONFIG_INPUT_MOUSEDEV);
undef(&CONFIG_INPUT_JOYDEV) if defined(&CONFIG_INPUT_JOYDEV);
undef(&CONFIG_INPUT_EVDEV) if defined(&CONFIG_INPUT_EVDEV);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
unless(defined(&CONFIG_SERIAL)) {
    sub CONFIG_SERIAL () {	1;}
}
unless(defined(&CONFIG_SERIAL_CONSOLE)) {
    sub CONFIG_SERIAL_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_EXTENDED) if defined(&CONFIG_SERIAL_EXTENDED);
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_UNIX98_PTY_COUNT)) {
    sub CONFIG_UNIX98_PTY_COUNT () {	(256);}
}
undef(&CONFIG_I2C) if defined(&CONFIG_I2C);
undef(&CONFIG_BUSMOUSE) if defined(&CONFIG_BUSMOUSE);
unless(defined(&CONFIG_MOUSE)) {
    sub CONFIG_MOUSE () {	1;}
}
unless(defined(&CONFIG_PSMOUSE)) {
    sub CONFIG_PSMOUSE () {	1;}
}
undef(&CONFIG_82C710_MOUSE) if defined(&CONFIG_82C710_MOUSE);
undef(&CONFIG_PC110_PAD) if defined(&CONFIG_PC110_PAD);
undef(&CONFIG_MK712_MOUSE) if defined(&CONFIG_MK712_MOUSE);
undef(&CONFIG_INPUT_GAMEPORT) if defined(&CONFIG_INPUT_GAMEPORT);
undef(&CONFIG_QIC02_TAPE) if defined(&CONFIG_QIC02_TAPE);
undef(&CONFIG_IPMI_HANDLER) if defined(&CONFIG_IPMI_HANDLER);
undef(&CONFIG_IPMI_PANIC_EVENT) if defined(&CONFIG_IPMI_PANIC_EVENT);
undef(&CONFIG_IPMI_DEVICE_INTERFACE) if defined(&CONFIG_IPMI_DEVICE_INTERFACE);
undef(&CONFIG_IPMI_KCS) if defined(&CONFIG_IPMI_KCS);
undef(&CONFIG_IPMI_WATCHDOG) if defined(&CONFIG_IPMI_WATCHDOG);
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
undef(&CONFIG_SCx200_GPIO) if defined(&CONFIG_SCx200_GPIO);
undef(&CONFIG_AMD_RNG) if defined(&CONFIG_AMD_RNG);
undef(&CONFIG_INTEL_RNG) if defined(&CONFIG_INTEL_RNG);
undef(&CONFIG_AMD_PM768) if defined(&CONFIG_AMD_PM768);
undef(&CONFIG_NVRAM) if defined(&CONFIG_NVRAM);
undef(&CONFIG_RTC) if defined(&CONFIG_RTC);
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
undef(&CONFIG_FTAPE) if defined(&CONFIG_FTAPE);
unless(defined(&CONFIG_AGP)) {
    sub CONFIG_AGP () {	1;}
}
unless(defined(&CONFIG_AGP_AMD_8151)) {
    sub CONFIG_AGP_AMD_8151 () {	1;}
}
unless(defined(&CONFIG_AGP_INTEL)) {
    sub CONFIG_AGP_INTEL () {	1;}
}
unless(defined(&CONFIG_AGP_I810)) {
    sub CONFIG_AGP_I810 () {	1;}
}
unless(defined(&CONFIG_AGP_VIA)) {
    sub CONFIG_AGP_VIA () {	1;}
}
unless(defined(&CONFIG_AGP_AMD)) {
    sub CONFIG_AGP_AMD () {	1;}
}
unless(defined(&CONFIG_AGP_SIS)) {
    sub CONFIG_AGP_SIS () {	1;}
}
unless(defined(&CONFIG_AGP_ALI)) {
    sub CONFIG_AGP_ALI () {	1;}
}
unless(defined(&CONFIG_AGP_SWORKS)) {
    sub CONFIG_AGP_SWORKS () {	1;}
}
undef(&CONFIG_DRM) if defined(&CONFIG_DRM);
undef(&CONFIG_MWAVE) if defined(&CONFIG_MWAVE);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
unless(defined(&CONFIG_AUTOFS_FS)) {
    sub CONFIG_AUTOFS_FS () {	1;}
}
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
unless(defined(&CONFIG_REISERFS_FS)) {
    sub CONFIG_REISERFS_FS () {	1;}
}
undef(&CONFIG_REISERFS_CHECK) if defined(&CONFIG_REISERFS_CHECK);
undef(&CONFIG_REISERFS_PROC_INFO) if defined(&CONFIG_REISERFS_PROC_INFO);
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_ADFS_FS_RW) if defined(&CONFIG_ADFS_FS_RW);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
undef(&CONFIG_HFS_FS) if defined(&CONFIG_HFS_FS);
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BEFS_DEBUG) if defined(&CONFIG_BEFS_DEBUG);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
unless(defined(&CONFIG_EXT3_FS)) {
    sub CONFIG_EXT3_FS () {	1;}
}
unless(defined(&CONFIG_JBD)) {
    sub CONFIG_JBD () {	1;}
}
undef(&CONFIG_JBD_DEBUG) if defined(&CONFIG_JBD_DEBUG);
undef(&CONFIG_FAT_FS) if defined(&CONFIG_FAT_FS);
undef(&CONFIG_MSDOS_FS) if defined(&CONFIG_MSDOS_FS);
undef(&CONFIG_UMSDOS_FS) if defined(&CONFIG_UMSDOS_FS);
undef(&CONFIG_VFAT_FS) if defined(&CONFIG_VFAT_FS);
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_JFFS_FS) if defined(&CONFIG_JFFS_FS);
undef(&CONFIG_JFFS2_FS) if defined(&CONFIG_JFFS2_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
unless(defined(&CONFIG_TMPFS)) {
    sub CONFIG_TMPFS () {	1;}
}
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
unless(defined(&CONFIG_ISO9660_FS)) {
    sub CONFIG_ISO9660_FS () {	1;}
}
unless(defined(&CONFIG_JOLIET)) {
    sub CONFIG_JOLIET () {	1;}
}
undef(&CONFIG_ZISOFS) if defined(&CONFIG_ZISOFS);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
undef(&CONFIG_JFS_DEBUG) if defined(&CONFIG_JFS_DEBUG);
undef(&CONFIG_JFS_STATISTICS) if defined(&CONFIG_JFS_STATISTICS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
undef(&CONFIG_NTFS_RW) if defined(&CONFIG_NTFS_RW);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
undef(&CONFIG_DEVFS_FS) if defined(&CONFIG_DEVFS_FS);
undef(&CONFIG_DEVFS_MOUNT) if defined(&CONFIG_DEVFS_MOUNT);
undef(&CONFIG_DEVFS_DEBUG) if defined(&CONFIG_DEVFS_DEBUG);
unless(defined(&CONFIG_DEVPTS_FS)) {
    sub CONFIG_DEVPTS_FS () {	1;}
}
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_QNX4FS_RW) if defined(&CONFIG_QNX4FS_RW);
undef(&CONFIG_ROMFS_FS) if defined(&CONFIG_ROMFS_FS);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UDF_FS) if defined(&CONFIG_UDF_FS);
undef(&CONFIG_UDF_RW) if defined(&CONFIG_UDF_RW);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
undef(&CONFIG_UFS_FS_WRITE) if defined(&CONFIG_UFS_FS_WRITE);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_INTERMEZZO_FS) if defined(&CONFIG_INTERMEZZO_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
unless(defined(&CONFIG_NFS_V3)) {
    sub CONFIG_NFS_V3 () {	1;}
}
undef(&CONFIG_ROOT_NFS) if defined(&CONFIG_ROOT_NFS);
unless(defined(&CONFIG_NFSD)) {
    sub CONFIG_NFSD () {	1;}
}
unless(defined(&CONFIG_NFSD_V3)) {
    sub CONFIG_NFSD_V3 () {	1;}
}
unless(defined(&CONFIG_NFSD_TCP)) {
    sub CONFIG_NFSD_TCP () {	1;}
}
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
unless(defined(&CONFIG_LOCKD_V4)) {
    sub CONFIG_LOCKD_V4 () {	1;}
}
undef(&CONFIG_SMB_FS) if defined(&CONFIG_SMB_FS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_NCPFS_PACKET_SIGNING) if defined(&CONFIG_NCPFS_PACKET_SIGNING);
undef(&CONFIG_NCPFS_IOCTL_LOCKING) if defined(&CONFIG_NCPFS_IOCTL_LOCKING);
undef(&CONFIG_NCPFS_STRONG) if defined(&CONFIG_NCPFS_STRONG);
undef(&CONFIG_NCPFS_NFS_NS) if defined(&CONFIG_NCPFS_NFS_NS);
undef(&CONFIG_NCPFS_OS2_NS) if defined(&CONFIG_NCPFS_OS2_NS);
undef(&CONFIG_NCPFS_SMALLDOS) if defined(&CONFIG_NCPFS_SMALLDOS);
undef(&CONFIG_NCPFS_NLS) if defined(&CONFIG_NCPFS_NLS);
undef(&CONFIG_NCPFS_EXTRAS) if defined(&CONFIG_NCPFS_EXTRAS);
undef(&CONFIG_ZISOFS_FS) if defined(&CONFIG_ZISOFS_FS);
undef(&CONFIG_PARTITION_ADVANCED) if defined(&CONFIG_PARTITION_ADVANCED);
unless(defined(&CONFIG_MSDOS_PARTITION)) {
    sub CONFIG_MSDOS_PARTITION () {	1;}
}
undef(&CONFIG_SMB_NLS) if defined(&CONFIG_SMB_NLS);
unless(defined(&CONFIG_NLS)) {
    sub CONFIG_NLS () {	1;}
}
unless(defined(&CONFIG_NLS_DEFAULT)) {
    sub CONFIG_NLS_DEFAULT () {	"iso8859-1";}
}
undef(&CONFIG_NLS_CODEPAGE_437) if defined(&CONFIG_NLS_CODEPAGE_437);
undef(&CONFIG_NLS_CODEPAGE_737) if defined(&CONFIG_NLS_CODEPAGE_737);
undef(&CONFIG_NLS_CODEPAGE_775) if defined(&CONFIG_NLS_CODEPAGE_775);
undef(&CONFIG_NLS_CODEPAGE_850) if defined(&CONFIG_NLS_CODEPAGE_850);
undef(&CONFIG_NLS_CODEPAGE_852) if defined(&CONFIG_NLS_CODEPAGE_852);
undef(&CONFIG_NLS_CODEPAGE_855) if defined(&CONFIG_NLS_CODEPAGE_855);
undef(&CONFIG_NLS_CODEPAGE_857) if defined(&CONFIG_NLS_CODEPAGE_857);
undef(&CONFIG_NLS_CODEPAGE_860) if defined(&CONFIG_NLS_CODEPAGE_860);
undef(&CONFIG_NLS_CODEPAGE_861) if defined(&CONFIG_NLS_CODEPAGE_861);
undef(&CONFIG_NLS_CODEPAGE_862) if defined(&CONFIG_NLS_CODEPAGE_862);
undef(&CONFIG_NLS_CODEPAGE_863) if defined(&CONFIG_NLS_CODEPAGE_863);
undef(&CONFIG_NLS_CODEPAGE_864) if defined(&CONFIG_NLS_CODEPAGE_864);
undef(&CONFIG_NLS_CODEPAGE_865) if defined(&CONFIG_NLS_CODEPAGE_865);
undef(&CONFIG_NLS_CODEPAGE_866) if defined(&CONFIG_NLS_CODEPAGE_866);
undef(&CONFIG_NLS_CODEPAGE_869) if defined(&CONFIG_NLS_CODEPAGE_869);
undef(&CONFIG_NLS_CODEPAGE_936) if defined(&CONFIG_NLS_CODEPAGE_936);
undef(&CONFIG_NLS_CODEPAGE_950) if defined(&CONFIG_NLS_CODEPAGE_950);
undef(&CONFIG_NLS_CODEPAGE_932) if defined(&CONFIG_NLS_CODEPAGE_932);
undef(&CONFIG_NLS_CODEPAGE_949) if defined(&CONFIG_NLS_CODEPAGE_949);
undef(&CONFIG_NLS_CODEPAGE_874) if defined(&CONFIG_NLS_CODEPAGE_874);
undef(&CONFIG_NLS_ISO8859_8) if defined(&CONFIG_NLS_ISO8859_8);
undef(&CONFIG_NLS_CODEPAGE_1250) if defined(&CONFIG_NLS_CODEPAGE_1250);
undef(&CONFIG_NLS_CODEPAGE_1251) if defined(&CONFIG_NLS_CODEPAGE_1251);
undef(&CONFIG_NLS_ISO8859_1) if defined(&CONFIG_NLS_ISO8859_1);
undef(&CONFIG_NLS_ISO8859_2) if defined(&CONFIG_NLS_ISO8859_2);
undef(&CONFIG_NLS_ISO8859_3) if defined(&CONFIG_NLS_ISO8859_3);
undef(&CONFIG_NLS_ISO8859_4) if defined(&CONFIG_NLS_ISO8859_4);
undef(&CONFIG_NLS_ISO8859_5) if defined(&CONFIG_NLS_ISO8859_5);
undef(&CONFIG_NLS_ISO8859_6) if defined(&CONFIG_NLS_ISO8859_6);
undef(&CONFIG_NLS_ISO8859_7) if defined(&CONFIG_NLS_ISO8859_7);
undef(&CONFIG_NLS_ISO8859_9) if defined(&CONFIG_NLS_ISO8859_9);
undef(&CONFIG_NLS_ISO8859_13) if defined(&CONFIG_NLS_ISO8859_13);
undef(&CONFIG_NLS_ISO8859_14) if defined(&CONFIG_NLS_ISO8859_14);
undef(&CONFIG_NLS_ISO8859_15) if defined(&CONFIG_NLS_ISO8859_15);
undef(&CONFIG_NLS_KOI8_R) if defined(&CONFIG_NLS_KOI8_R);
undef(&CONFIG_NLS_KOI8_U) if defined(&CONFIG_NLS_KOI8_U);
undef(&CONFIG_NLS_UTF8) if defined(&CONFIG_NLS_UTF8);
unless(defined(&CONFIG_VGA_CONSOLE)) {
    sub CONFIG_VGA_CONSOLE () {	1;}
}
undef(&CONFIG_VIDEO_SELECT) if defined(&CONFIG_VIDEO_SELECT);
undef(&CONFIG_MDA_CONSOLE) if defined(&CONFIG_MDA_CONSOLE);
undef(&CONFIG_FB) if defined(&CONFIG_FB);
undef(&CONFIG_SOUND) if defined(&CONFIG_SOUND);
undef(&CONFIG_USB) if defined(&CONFIG_USB);
undef(&CONFIG_BLUEZ) if defined(&CONFIG_BLUEZ);
unless(defined(&CONFIG_DEBUG_KERNEL)) {
    sub CONFIG_DEBUG_KERNEL () {	1;}
}
undef(&CONFIG_DEBUG_SLAB) if defined(&CONFIG_DEBUG_SLAB);
unless(defined(&CONFIG_MAGIC_SYSRQ)) {
    sub CONFIG_MAGIC_SYSRQ () {	1;}
}
undef(&CONFIG_DEBUG_SPINLOCK) if defined(&CONFIG_DEBUG_SPINLOCK);
undef(&CONFIG_CHECKING) if defined(&CONFIG_CHECKING);
undef(&CONFIG_INIT_DEBUG) if defined(&CONFIG_INIT_DEBUG);
undef(&CONFIG_IOMMU_DEBUG) if defined(&CONFIG_IOMMU_DEBUG);
unless(defined(&CONFIG_IOMMU_LEAK)) {
    sub CONFIG_IOMMU_LEAK () {	1;}
}
undef(&CONFIG_DEBUG_STACKOVERFLOW) if defined(&CONFIG_DEBUG_STACKOVERFLOW);
undef(&CONFIG_ZLIB_INFLATE) if defined(&CONFIG_ZLIB_INFLATE);
undef(&CONFIG_ZLIB_DEFLATE) if defined(&CONFIG_ZLIB_DEFLATE);
1;
