require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_X86_64_PGALLOC_H)) {
    eval 'sub _X86_64_PGALLOC_H () {1;}' unless defined(&_X86_64_PGALLOC_H);
    require 'linux/config.ph';
    require 'asm/processor.ph';
    require 'asm/fixmap.ph';
    require 'asm/pda.ph';
    require 'linux/threads.ph';
    require 'linux/mm.ph';
    require 'asm/page.ph';
    eval 'sub inc_pgcache_size () {
        eval q( &add_pda( &pgtable_cache_sz,1));
    }' unless defined(&inc_pgcache_size);
    eval 'sub dec_pgcache_size () {
        eval q( &sub_pda( &pgtable_cache_sz,1));
    }' unless defined(&dec_pgcache_size);
    eval 'sub pmd_populate {
        local($mm, $pmd, $pte) = @_;
	    eval q( &set_pmd($pmd,  &__pmd( &_PAGE_TABLE |  &__pa($pte))));
    }' unless defined(&pmd_populate);
    eval 'sub pgd_populate {
        local($mm, $pgd, $pmd) = @_;
	    eval q( &set_pgd($pgd,  &__pgd( &_PAGE_TABLE |  &__pa($pmd))));
    }' unless defined(&pgd_populate);
    unless(defined(&CONFIG_SMP)) {
	eval 'sub flush_tlb () {
	    eval q( &__flush_tlb());
	}' unless defined(&flush_tlb);
	eval 'sub flush_tlb_all () {
	    eval q( &__flush_tlb_all());
	}' unless defined(&flush_tlb_all);
	eval 'sub local_flush_tlb () {
	    eval q( &__flush_tlb());
	}' unless defined(&local_flush_tlb);
    } else {
	require 'asm/smp.ph';
	eval 'sub local_flush_tlb () {
	    eval q( &__flush_tlb());
	}' unless defined(&local_flush_tlb);
	eval 'sub flush_tlb () {
	    eval q( &flush_tlb_current_task());
	}' unless defined(&flush_tlb);
	eval 'sub TLBSTATE_OK () {1;}' unless defined(&TLBSTATE_OK);
	eval 'sub TLBSTATE_LAZY () {2;}' unless defined(&TLBSTATE_LAZY);
    }
1;
